Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1358490 - RHELSA-7.3][ltp-lite] WARNING: at lib/list_debug.c:29
Summary: RHELSA-7.3][ltp-lite] WARNING: at lib/list_debug.c:29
Keywords:
Status: CLOSED DUPLICATE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: kernel-aarch64
Version: 7.3
Hardware: aarch64
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Kernel Drivers
QA Contact: Erico Nunes
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-20 20:09 UTC by PaulB
Modified: 2018-01-16 13:58 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-12 17:57:58 UTC


Attachments (Terms of Use)

Description PaulB 2016-07-20 20:09:47 UTC
Description of problem:
 The following issue was seen with distro RHEL-7.3-20160707.2
and kernel-4.5.0-0.46.el7, while running /kernel/distribution/ltp/lite 20160510-7:
 [10700.232060] list_add corruption. next->prev should be prev   
 (fffffe035c92fa70), but was fffffe035b1c9a88. (next=fffffe035c92fa70). 
 [10700.243689] ------------[ cut here ]------------ 
 [10700.248285] WARNING: at lib/list_debug.c:29 

Version-Release number of selected component (if applicable):
 distro: RHEL-7.3-20160707.2
 kernel: 4.5.0-0.46.el7

How reproducible:
 unknown

Steps to Reproduce:
1. Install target host listed in comment#1 with distro:RHEL-7.3-20160707.2
2. Install kernel-4.5.0-0.46.el7
3. run /kernel/distribution/ltp/lite 20160510-7

Actual results:
https://beaker.engineering.redhat.com/recipes/2885779
http://beaker-archive.app.eng.bos.redhat.com/beaker-logs/2016/07/14101/1410132/2885779/console.log
---<-snip->---
[10488.799501] restraintd[5057]: ** Fetching task: 43291098 [/mnt/tests/kernel/distribution/ltp/lite] 
[10500.018943] restraintd[5057]: ** Parsing testinfo.desc 
[10500.043395] restraintd[5057]: ** Updating env vars 
[10500.071099] restraintd[5057]: ** Updating external watchdog: 12600 seconds 
[10500.201951] restraintd[5057]: ** Installing dependencies 
[-- MARK -- Wed Jul 20 17:35:00 2016] 
[10528.377834] restraintd[5057]: ** Running task: 43291098 [/kernel/distribution/ltp/lite] 
[10589.060167] restraintd[5057]: *** Current Time: Wed Jul 20 13:36:24 2016 Localwatchdog at: Wed Jul 20 16:35:24 2016 
[10649.090615] restraintd[5057]: *** Current Time: Wed Jul 20 13:37:25 2016 Localwatchdog at: Wed Jul 20 16:35:24 2016 
[10700.232060] list_add corruption. next->prev should be prev (fffffe035c92fa70), but was fffffe035b1c9a88. (next=fffffe035c92fa70). 
[10700.243689] ------------[ cut here ]------------ 
[10700.248285] WARNING: at lib/list_debug.c:29 
[10700.252447] Modules linked in: pptp gre bnep af_key udp_diag hidp scsi_transport_iscsi inet_diag crypto_user pppox ppp_generic slhc atm sctp ip6table_filter ip6_tables iptable_filter ip_tables arc4 md4 nls_utf8 cifs rpcsec_gss_krb5 nfnetlink_queue nfnetlink_log nfnetlink bluetooth rfkill nls_koi8_u nls_cp932 ts_kmp nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack vfat fat sg xgene_rng gpio_xgene_sb gpio_generic nfsd xfs libcrc32c mpt3sas raid_class scsi_transport_sas sdhci_acpi sdhci mmc_core ahci_xgene libahci_platform dm_mirror dm_region_hash dm_log dm_mod realtek(E) [last unloaded: stap_b9e783565663eb3019ee9db34d4a87ec_26567] 
[10700.308233]  
[10700.309719] CPU: 0 PID: 30109 Comm: ld Tainted: G           OE  ------------   4.5.0-0.46.el7.aarch64 #1 
[10700.319156] Hardware name: AppliedMicro Mustang/Mustang, BIOS 1.1.0 Oct 20 2015 
[10700.326431] task: fffffe00bf91d100 ti: fffffe00ba678000 task.ti: fffffe00ba678000 
[10700.333884] PC is at __list_add+0x74/0xb8 
[10700.337874] LR is at __list_add+0x74/0xb8 
[10700.341864] pc : [<fffffe00003e4678>] lr : [<fffffe00003e4678>] pstate: 60000145 
[10700.349224] sp : fffffe00ba67baf0 
[10700.352522] x29: fffffe00ba67baf0 x28: fffffe03557504a0  
[10700.357829] x27: 0000000000000000 x26: fffffe0368010240  
[10700.363136] x25: fffffe00ba67bd48 x24: fffffe035f6cccc0  
[10700.368442] x23: fffffe0000268190 x22: fffffe035e9c3d00  
[10700.373748] x21: fffffe035c92fa70 x20: fffffe035c92fa70  
[10700.379055] x19: fffffe035dcc9208 x18: 000003ffe14216d0  
[10700.384362] x17: 000003ff883cd200 x16: fffffe0000242e58  
[10700.389669] x15: 0000000000000001 x14: 62202c2930376166  
[10700.394976] x13: 3239633533306566 x12: 6666666628207665  
[10700.400282] x11: 727020656220646c x10: 756f687320766572  
[10700.405588] x9 : 0000000000002489 x8 : 2930376166323963  
[10700.410895] x7 : fffffe00012340b8 x6 : fffffe0001233d2c  
[10700.416200] x5 : 0000000000000000 x4 : 0000000000000000  
[10700.421507] x3 : 0000000000000000 x2 : fffffe03ffe46458  
[10700.426811] x1 : 0000000000000001 x0 : 0000000000000075  
[10700.432117]  
[10700.433601] ---[ end trace ccfc0fbe3c21fe0c ]--- 
---<-snip->---

Expected results:
 no WARNING messages

Additional info:

Comment 2 David Arcari 2016-07-21 19:51:20 UTC
I think this is likely a dup of BZ 1307161

Comment 3 Mark Langsdorf 2016-07-26 15:45:44 UTC
There's a known and unresovable list_add corruption bug on Mustang A3 cores. Did this test run on a Mustang A3 or something else?

Comment 5 PaulB 2018-01-16 13:58:00 UTC
All,
Just adding a reference data point.
This issue still exists:
 host: apm-mustang-ev3-33
 TianoCore 3.06.25 UEFI 2.4.0 Oct 17 2016 13:50:35 
 Slimpro FW: Ver: 3.5 (build 03.06.25.00 2016/10/17) 
 distro: RHEL-ALT-7.5-20180108.n.0 Server aarch64
 kernel-alt: 4.14.0-24.el7a
	
---------
see here:
---------
https://beaker.engineering.redhat.com/recipes/4686838#task66539520
http://beaker-archive.app.eng.bos.redhat.com/beaker-logs/2018/01/22511/2251138/4686838/console.log
---<-snip->---
] Found device /dev/ttyS0.  
[   12.514683] xgene-slimpro-mbox APMC0D01:00: APM X-Gene SLIMpro MailBox registered 
[   12.539228] xgene-rng APMC0D18:00: Couldn't get the clock for RNG 
[   12.585630] xgene-gpio-sb APMC0D15:00: Support 22 gpios, 6 irqs start from pin 8 
[   12.593203] xgene-gpio-sb APMC0D15:00: X-Gene GPIO Standby driver registered 
[   12.681760] xgene-slimpro-hwmon APMC0D29:00: APM X-Gene SoC HW monitor driver registered 
 %G[   12.732035] sd 0:0:0:0: Attached scsi generic sg0 type 0 
[   12.766483] list_add corruption. next->prev should be prev (ffff8001c20e1e78), but was ffff8001c9e54a88. (next=ffff8001c20e1e78). 
[   12.778098] ------------[ cut here ]------------ 
[   12.782697] WARNING: CPU: 4 PID: 669 at lib/list_debug.c:25 __list_add_valid+0x54/0xa0 
[   12.790572] Modules linked in: sg xgene_hwmon gpio_xgene_sb gpio_dwapb gpio_generic xgene_rng mailbox_xgene_slimpro ip_tables xfs libcrc32c xgene_enet at803x sdhci_acpi realtek i2c_designware_platform i2c_xgene_slimpro i2c_designware_core sdhci ahci_xgene libahci_platform mmc_core i2c_core mdio_xgene dm_mirror dm_region_hash dm_log dm_mod 
[   12.820428] CPU: 4 PID: 669 Comm: systemctl Not tainted 4.14.0-19.el7a.aarch64 #1 
[   12.827879] Hardware name: AppliedMicro X-Gene Mustang Board/X-Gene Mustang Board, BIOS 3.06.25 Oct 17 2016 
[   12.837575] task: ffff80018b469900 task.stack: ffff00000ee00000 
[   12.843472] PC is at __list_add_valid+0x54/0xa0 
[   12.847986] LR is at __list_add_valid+0x54/0xa0 
[   12.852501] pc : [<ffff0000083f5948>] lr : [<ffff0000083f5948>] pstate: 60000145 
[   12.859863] sp : ffff00000ee0fb00 
[   12.863165] x29: ffff00000ee0fb00 x28: ffff8001a0020240  
[   12.868463] x27: 0000000000000000 x26: 0000000000000000  
[   12.873759] x25: 0000000000000004 x24: ffff8001c20e1e78  
[   12.879055] x23: ffff8001c20e1e78 x22: ffff8001cd073a88  
[   12.884350] x21: 0000000000000000 x20: ffff8001cd073a80  
[   12.889645] x19: ffff8001c20e1e00 x18: 0000ffffe6542cc0  
[   12.894940] x17: 0000000000000000 x16: 0000000000000000  
[   12.900235] x15: 0000000000005993 x14: 62202c2938376531  
[   12.905530] x13: 6530326331303038 x12: 6666666628207665  
[   12.910824] x11: 727020656220646c x10: 756f687320766572  
[   12.916119] x9 : 00000000000001dd x8 : ffff000008508180  
[   12.921414] x7 : 6331303038666666 x6 : ffff8001ffe92350  
[   12.926708] x5 : ffff8001ffe92350 x4 : 0000000000000000  
[   12.932002] x3 : ffff8001ffea8bc8 x2 : 30192c6609a44300  
[   12.937296] x1 : 30192c6609a44300 x0 : 0000000000000075  
[   12.942591] Call trace: 
[   12.945032] Exception stack(0xffff00000ee0f9c0 to 0xffff00000ee0fb00) 
[   12.951450] f9c0: 0000000000000075 30192c6609a44300 30192c6609a44300 ffff8001ffea8bc8 
[   12.959248] f9e0: 0000000000000000 ffff8001ffe92350 ffff8001ffe92350 6331303038666666 
[   12.967046] fa00: ffff000008508180 00000000000001dd 756f687320766572 727020656220646c 
[   12.974843] fa20: 6666666628207665 6530326331303038 62202c2938376531 0000000000005993 
[   12.982641] fa40: 0000000000000000 0000000000000000 0000ffffe6542cc0 ffff8001c20e1e00 
[   12.990437] fa60: ffff8001cd073a80 0000000000000000 ffff8001cd073a88 ffff8001c20e1e78 
[   12.998235] fa80: ffff8001c20e1e78 0000000000000004 0000000000000000 0000000000000000 
[   13.006032] faa0: ffff8001a0020240 ffff00000ee0fb00 ffff0000083f5948 ffff00000ee0fb00 
[   13.013830] fac0: ffff0000083f5948 0000000060000145 ffff8001c9e54a88 ffff8001c20e1e78 
[   13.021627] fae0: 0001000000000000 ffff8001cd073a88 ffff00000ee0fb00 ffff0000083f5948 
[   13.029425] [<ffff0000083f5948>] __list_add_valid+0x54/0xa0 
[   13.034980] [<ffff00000830e770>] proc_reg_open+0xcc/0x14c 
[   13.040361] [<ffff000008296664>] do_dentry_open+0x200/0x304 
[   13.045914] [<ffff000008297c60>] vfs_open+0x5c/0x8c 
[   13.050777] [<ffff0000082a9a78>] do_last+0x250/0x6d4 
[   13.055726] [<ffff0000082a9f88>] path_openat+0x8c/0x2bc 
[   13.060932] [<ffff0000082ab3e8>] do_filp_open+0x7c/0xec 
[   13.066138] [<ffff000008298100>] do_sys_open+0x178/0x230 
[   13.071432] [<ffff00000829823c>] SyS_openat+0x3c/0x48 
[   13.076464] Exception stack(0xffff00000ee0fec0 to 0xffff00000ee10000) 
[   13.082881] fec0: ffffffffffffff9c 0000aaaab3e65848 0000000000080000 0000000000000000 
[   13.090680] fee0: 0000000000000008 0000000000000040 0000000000000000 0000aaaab3e6c686 
[   13.098477] ff00: 0000000000000038 1999999999999999 0000000000000000 0000000000000000 
[   13.106276] ff20: 0000000000000005 ffffffffffffffff 0000ffffa3341a94 0000000000005993 
[   13.114074] ff40: 0000ffffa34c0008 0000ffffa33c0dc0 0000ffffe6542cc0 0000aaaaee770060 
[   13.121872] ff60: 0000aaaab3e6c680 0000000000000008 0000aaaab3e65848 0000aaaab3e5d5a0 
[   13.129670] ff80: 0000000000000000 0000aaaab3eaf000 0000000000000000 0000000000000000 
[   13.137468] ffa0: 0000000000000000 0000ffffe6542aa0 0000ffffa33b749c 0000ffffe6542aa0 
[   13.145266] ffc0: 0000ffffa34109f0 0000000080000000 ffffffffffffff9c 0000000000000038 
[   13.153063] ffe0: 0000000000000000 0000000000000000 0000000000000000 0000000000000000 
[   13.160862] [<ffff0000080834c4>] el0_svc_naked+0x38/0x3c 
[   13.166152] ---[ end trace 38aeceb0c0a08104 ]--- 
---<-snip->---

Best,
-pbunyan


Note You need to log in before you can comment on or make changes to this bug.